<div class="example-container mat-elevation-z8">
    <h2>Detalles del Libro</h2>
    <div class="example-loading-shade" *ngIf="isLoadingResults">
        <mat-spinner *ngIf="isLoadingResults"></mat-spinner>
    </div>
    <div class="button-row">
        <a mat-flat-button color="primary" [routerLink]="['/books']">
            <mat-icon>list</mat-icon>
        </a>
    </div>
    <mat-card class="example-card">
        <mat-card-header>
            <mat-card-title>
                <h2>{{book.name}}</h2>
            </mat-card-title>
            <!-- <mat-card-subtitle>{{book.}} year old</mat-card-subtitle> -->
        </mat-card-header>
        <mat-card-content>
            <dl>
                <dt>Nombre:</dt>
                <dd>{{book.name}}</dd>
                <dt>Autor:</dt>
                <dd>{{book.author.name}}</dd>
                <dt>ISBN:</dt>
                <dd>{{book.isbn}}</dd>
            </dl>
        </mat-card-content>
        <mat-card-actions>
            <a mat-flat-button color="primary" [routerLink]="['/books-edit', book.id]">
                <mat-icon>edit</mat-icon> book
            </a>
            <a mat-flat-button color="warn" (click)="deleteBook(book.id)">
                <mat-icon>delete</mat-icon> book
            </a>
        </mat-card-actions>
    </mat-card>
</div>